---
layout: docs
page_title: Compatibility Matrix
description: Compatibility Matrix for Consul Kubernetes and Consul
---

# Compatibility Matrix for Consul Kubernetes and Consul

Consul Kubernetes (consul-k8s) is managed using Consul Helm. For every release of Consul Kubernetes, a new version of the Consul Kubernetes
Helm chart and Consul Kubernetes binary is released through the HashiCorp Helm repository. The recommended best practice is to upgrade
the Helm chart which will ensure a compatible version of the Consul Kubernetes binary is used.

## Supported Consul versions

| Consul Version | Compatible Consul Helm Versions |
| -------------- | ------------------------------- |
| 1.10.x         | 0.32.0 - 0.38.0                 |
| 1.9.x          | 0.27.0 - 0.31.1                 |
| 1.8.x          | 0.22.0 - 0.26.0                 |
| 1.7.x          | 0.17.0 - 0.21.0                 |
| 1.6.x          | 0.10.0 - 0.16.2                 |

## Supported Envoy versions

Supported versions of Envoy for Consul versions are also found in [Envoy - Supported Versions](https://www.consul.io/docs/connect/proxies/envoy#supported-versions). The recommended best practice is to use the default version of Envoy that is provided in the Helm values.yml file, as that is the version that has been tested with the default Consul and Consul Kubernetes binaries for a given Helm chart.
